apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bob Gustafson <bob...@rcnChicago.com>
Subject Re: apr-util and apache
Date Wed, 11 Dec 2002 03:44:46 GMT
My config for httpd is:

./configure --enable-maintainer-mode \
            --enable-info \
            --enable-ssl --with-ssl=/usr/local/lib \
            --enable-dav --enable-so \
            --enable-deflate \
            --with-dbm=db4 --with-berkeley-db=/usr/local/BerkeleyDB.4.1 \
            --with-apxs=/usr/local/apache/bin/apxs \

--with-expat=/usr/local/src/apache/httpd-2.0.43/srclib/apr-util/xml/
expat \
    2>&1 | tee config.out


Also, I was told that the libtool for apache 2.0.43 had some problems:

  ------- Additional Comments From striker@tigris.org  2002-12-07 23:50 PST
  You are probably using httpd-2.0.43 which was rolled with an old
  autoconf/libtool.  The way to fix the problem is to do the following
  steps in the httpd source tree:

  make distclean
  ./buildconf && ./config.nice && make && make install

  After that try rebuilding subversion as you were doing.  All should be
  well.  Next httpd release will not have this problem.


I did those steps and was able to make httpd-2.0.43, and also subversion
which uses the apr and apr-util libraries. Just tonight I was able to get
all of the subversion tests to pass..

Hope this helps

BobG


>I have compiled apr-0.9.1 alone and I am trying to
>compile apache-2.0.43 and apr-util-0.9.1 together with
>the --with-apr-util=/path/to/build/tree  and I am getting
>nothing but errors. Is there documentation that I can
>refer to for compilation purposes?
>
>LDB


Mime
View raw message